## org.jfree.report.expressions
Class ColumnAggregationExpression

    java.lang.Object
      org.jfree.report.expressions.AbstractExpression
          org.jfree.report.expressions.ColumnAggregationExpression

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, Expression

Direct Known Subclasses:
  SurveyScaleExpression

    public abstract class ColumnAggregationExpression

extends AbstractExpression

Creation-Date: 04.01.2006, 17:23:01

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`protected` `ColumnAggregationExpression()`

Method Summary
`protected abstract int` `getFieldListParameterPosition()`
`protected java.lang.Object[]` `getFieldValues()`
`protected java.lang.Object[]` `getFieldValues(java.lang.Class type)`

Methods inherited from class org.jfree.report.expressions.AbstractExpression
`clone, getDataRow, getInstance, getName, getParentLocale, getReportConfiguration, getResourceBundleFactory, getRuntime, isDeepTraversing, isPrecompute, isPreserve, setDeepTraversing, setName, setPrecompute, setPreserve, setRuntime`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.report.expressions.Expression
`computeValue`

Constructor Detail

### ColumnAggregationExpression

    protected ColumnAggregationExpression()

Method Detail

### getFieldListParameterPosition

    protected abstract int getFieldListParameterPosition()

### getFieldValues

    protected java.lang.Object[] getFieldValues()
                                         throws DataSourceException

  Throws:
    `DataSourceException`

### getFieldValues

    protected java.lang.Object[] getFieldValues(java.lang.Class type)
                                         throws DataSourceException

  Throws:
    `DataSourceException`